読者です 読者をやめる 読者になる 読者になる

なんだか、トランザクションの確認エラーがでるんだけど…

ついに、Firefox5 に更新されるときがきたね!
私も喜び勇んでやってみたんだけど、困ったことに、トランザクションの確認エラーというのが出てしまったんだ。
こんな感じの:

トランザクションのテストを実行しています


トランザクションの確認エラー
  file /usr/lib/xulrunner-2/xulrunner from install of xulrunner-5.0-2.fc15.i686 conflicts with file from package xulrunner2-2.0.1-1.fc14.remi.i686
  file /usr/lib/xulrunner-2/README.txt from install of xulrunner-5.0-2.fc15.i686 conflicts with file from package xulrunner2-2.0.1-1.fc14.remi.i686
  file /usr/lib/xulrunner-2/components/libdbusservice.so from install of xulrunner-5.0-2.fc15.i686 conflicts with file from package xulrunner2-2.0.1-1.fc14.remi.i686
  file /usr/lib/xulrunner-2/components/libmozgnome.so from install of xulrunner-5.0-2.fc15.i686 conflicts with file from package xulrunner2-2.0.1-1.fc14.remi.i686
  file /usr/lib/xulrunner-2/crashreporter from install of xulrunner-5.0-2.fc15.i686 conflicts with file from package xulrunner2-2.0.1-1.fc14.remi.i686
  file /usr/lib/xulrunner-2/dependentlibs.list from install of xulrunner-5.0-2.fc15.i686 conflicts with file from package xulrunner2-2.0.1-1.fc14.remi.i686
  file /usr/lib/xulrunner-2/libmozalloc.so from install of xulrunner-5.0-2.fc15.i686 conflicts with file from package xulrunner2-2.0.1-1.fc14.remi.i686
  file /usr/lib/xulrunner-2/libmozjs.so from install of xulrunner-5.0-2.fc15.i686 conflicts with file from package xulrunner2-2.0.1-1.fc14.remi.i686
  file /usr/lib/xulrunner-2/libxpcom.so from install of xulrunner-5.0-2.fc15.i686 conflicts with file from package xulrunner2-2.0.1-1.fc14.remi.i686
  file /usr/lib/xulrunner-2/libxul.so from install of xulrunner-5.0-2.fc15.i686 conflicts with file from package xulrunner2-2.0.1-1.fc14.remi.i686
  file /usr/lib/xulrunner-2/mozilla-xremote-client from install of xulrunner-5.0-2.fc15.i686 conflicts with file from package xulrunner2-2.0.1-1.fc14.remi.i686
  file /usr/lib/xulrunner-2/omni.jar from install of xulrunner-5.0-2.fc15.i686 conflicts with file from package xulrunner2-2.0.1-1.fc14.remi.i686
  file /usr/lib/xulrunner-2/platform.ini from install of xulrunner-5.0-2.fc15.i686 conflicts with file from package xulrunner2-2.0.1-1.fc14.remi.i686
  file /usr/lib/xulrunner-2/plugin-container from install of xulrunner-5.0-2.fc15.i686 conflicts with file from package xulrunner2-2.0.1-1.fc14.remi.i686
  file /usr/lib/xulrunner-2/run-mozilla.sh from install of xulrunner-5.0-2.fc15.i686 conflicts with file from package xulrunner2-2.0.1-1.fc14.remi.i686
  file /usr/lib/xulrunner-2/xulrunner-bin from install of xulrunner-5.0-2.fc15.i686 conflicts with file from package xulrunner2-2.0.1-1.fc14.remi.i686
  file /usr/lib/xulrunner-2/xulrunner-stub from install of xulrunner-5.0-2.fc15.i686 conflicts with file from package xulrunner2-2.0.1-1.fc14.remi.i686

エラーの要約
                        • -

よくわからないけど、古いのと新しいのが衝突?してるみたいなんだ。
ということで、ググってみたら、[Solve] Conflict file xulrunner with xulrunner2 [juranktech.com] が見つかった。
ようするに、私の場合は xulrunner2-2.0.1-1.fc14.remi.i686 を削除すればいいらしい。
こんな感じ:

# yum remove xulrunner2-2.0.1-1.fc14.remi.i686

その後普通に

# yum update

したら、すんなりできたよー。